<?php
/**
 * The edit view file of conversion module of ZDOO.
 *
 * @copyright   Copyright 2009-2022 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      LiuRuoGu <daitingting@xirangit.com>
 * @package     conversion
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<form id='ajaxForm' method='post' action="<?php echo inlink('edit', "conversionID={$conversion->id}");?>">
  <table class='table table-form'>
    <tr>
      <th class='w-90px'><?php echo $lang->conversion->year;?></th>
      <td><?php echo html::input('year', $conversion->year, "class='form-control' readonly");?></td>
    </tr>
    <tr>
      <th><?php echo $lang->conversion->days?></th>
      <td><?php echo html::number('days', $conversion->days, "class='form-control' min='0'");?></td>
    </tr>
    <tr>
      <th></th>
      <td class='form-actions'><?php echo html::submitButton();?></td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
