<?php
/**
 * The create lane view file of kanban module of ZDOO.
 *
 * @copyright   Copyright 2009-2020 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     kanban
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<form id='WIPForm' method='post' action='<?php echo inlink('setWIP', "columnID=$column->id");?>'>
  <table class='table table-form' id='splitTable'>
    <tr class='child-column'>
      <th class="w-120px"><?php echo $lang->kanban->WIP;?></th>
      <td class="w-300px">
        <div class='required required-wrapper'></div>
        <div class='input-group'>
          <?php echo html::number('limit', $column->limit ? $column->limit : '', (!$column->limit ? 'readonly=readonly' : '') . " min='1' class='form-control'");?>
          <span class='input-group-addon'>
            <label class='checkbox-inline'>
              <input type='checkbox' name='unlimited' id='unlimited' value='1' <?php echo !$column->limit ? 'checked=checked' : '';?> /> <?php echo $this->lang->kanban->unlimited;?>
            </label>
          </span>
        </div>
      </td>
      <td></td>
    </tr>
    <tr>
      <th></th>
      <td class='form-actions'>
        <?php echo html::submitButton();?>
        <?php echo html::commonButton($lang->cancel, 'btn', "data-dismiss='modal'");?>
      </td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
