<?php
/**
 * The create score rule view file of score module of ZDOO.
 *
 * @copyright   Copyright 2009-2020 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     score
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<form id='giftForm' method='post' action='<?php echo inlink('gift');?>'>
  <table class='table table-form'>
    <tr>
      <th class='w-70px'><?php echo $lang->score->giftTo; ?></th>
      <td><?php echo html::select('giftTo', $users, null, "class='form-control chosen'");?></td>
    </tr>
    <tr>
      <th><?php echo $lang->score->giftValue; ?></th>
      <td><?php echo html::number('score', '', "min='1' class='form-control'");?></td>
      <td class='text-important'><?php echo sprintf($lang->score->scoreBalance, $user->giftScore, $user->score); ?></td>
    </tr>
    <tr>
      <th><?php echo $lang->score->desc; ?></th>
      <td colspan='2'><?php echo html::textarea('desc', '', "class='form-control' rows='5'");?></td>
    </tr>
    <tr>
      <th></th>
      <td colspan='2'>
        <div class='alert alert-warning no-margin'><?php echo $lang->score->tip->giftRule;?></div>
      </td>
    </tr>
    <tr>
      <th></th>
      <td class='form-actions'><?php echo html::submitButton();?></td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
