<?php
/**
 * The zh-tw file of common module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青島易軟天創網絡科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng wang <chunsheng@cnezsoft.com>
 * @package     common 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
$lang->app = new stdclass();
$lang->app->name = '團隊';

$lang->team = new stdclass();
$lang->menu->dividerMenu->team = ',blog,exchange,company,';

$lang->menu->team = new stdclass();
$lang->menu->team->dashboard = '首頁|dashboard|index|';
$lang->menu->team->forum     = '論壇|forum|index|';
$lang->menu->team->blog      = '博客|blog|index|';
$lang->menu->team->score     = '積分|score|allGrant|';
$lang->menu->team->gift      = '禮品|gift|browse|';
$lang->menu->team->exchange  = '兌換|exchange|my|';
$lang->menu->team->user      = '同事|user|colleague|';
$lang->menu->team->company   = '公司|company|index|';
$lang->menu->team->setting   = '設置|tree|browse|type=forum|';

/* Menu of forum module. */
if(!isset($lang->forum)) $lang->forum = new stdclass();

/* Menu of blog module. */
if(!isset($lang->blog)) $lang->blog = new stdclass();
$lang->blog->menu = new stdclass();
$lang->blog->menu->index = array('link' => '博客列表|blog|index|', 'alias' => 'create, edit');

/* Menu of setting module. */
$lang->setting = new stdclass();
$lang->setting->menu = new stdclass();
$lang->setting->menu->board = '論壇版塊|tree|browse|type=forum|';
$lang->setting->menu->blog  = '博客類目|tree|browse|type=blog|';

$lang->score = new stdclass();
$lang->score->menu = new stdclass();
$lang->score->menu->grant        = '所有發放|score|allGrant|';
$lang->score->menu->rank         = '積分排名|score|rank|';
$lang->score->menu->report       = '統計報表|score|report|';
$lang->score->menu->typeList     = '積分分類|setting|lang|module=score&field=typeList&appName=sys|';
$lang->score->menu->rule         = '積分規則|score|rule|';
$lang->score->menu->setReviewer  = '積分審批人|score|setReviewer|';
$lang->score->menu->setSect      = array('link' => '門派等級|score|setLevel|', 'alias' => 'setSect');

$lang->gift = new stdclass();
$lang->gift->menu = new stdclass();
$lang->gift->menu->browse = '禮品列表|gift|browse|';
$lang->gift->menu->manage = '禮品管理|gift|manage|';

$lang->exchange = new stdclass();
$lang->exchange->menu = new stdclass();
$lang->exchange->menu->my      = '我的兌換|exchange|my|';
$lang->exchange->menu->toGrant = '待發放|exchange|toGrant|';
$lang->exchange->menu->all     = '所有兌換|exchange|all|';

include(dirname(__FILE__) . '/menuOrder.php');
